<template>
  <table class="table table-responsive" style="font-size: 10px;">
    <thead class="text-center">
      <tr>
              <th class="text-center"></th>
              <th class="text-center"></th>
              <th colspan="12" class="text-center">Pleines</th>
              <th colspan="7" class="text-center" style="border-left: 5px solid #ddd;">Partielles</th>
      </tr>
      <tr>
          <th class="text-center"></th>
          <th class="text-center" style="border-right: 5px solid #ddd;">D.E.P</th>
          <th colspan="2" class="text-center"  style="border-right: 5px solid #ddd;">Web</th>
          <th colspan="2" class="text-center"  style="border-right: 5px solid #ddd;">BK</th>
          <th colspan="2" class="text-center"  style="border-right: 5px solid #ddd;">Print</th>
          <th colspan="2" class="text-center"  style="border-right: 5px solid #ddd;">VP</th>
          <th colspan="2" class="text-center"  style="border-right: 5px solid #ddd;">MK</th>
          <th colspan="2" class="text-center" style="border-right: 5px solid #ddd;">LDF</th>
          <th colspan="7" class="text-center"></th>
      </tr>
      <tr class="text-center">
          <th >+</th>
          <th  style="border-right: 5px solid #ddd;">Sem</th>
          <th>Mo</th>
          <th  style="border-right: 5px solid #ddd;">Mu</th>
          <th>Mo</th>
          <th  style="border-right: 5px solid #ddd;">Mu</th>
          <th>Mo</th>
          <th  style="border-right: 5px solid #ddd;">Mu</th>
          <th>Mo</th>
          <th style="border-right: 5px solid #ddd;">Mu</th>
          <th>Mo</th>
          <th  style="border-right: 5px solid #ddd;">Mu</th>
          <th >LDF</th>
          <th>Total</th>
          <th style="border-left: 5px solid #ddd;">Web</th>
          <th>BK</th>
          <th>Print</th>
          <th>VP</th>
          <th>Autres</th>
          <th >LDF</th>
          <th>Total</th>
      </tr>
    </thead>   
    <tbody>
      <template v-for="row in datas" :key="row.Do_Datelivr">
      <TableRowVue v-if="(row.TotalCom > 0 || row.TotalComP > 0) " :row="row" />
    </template>
    </tbody>
  </table>

</template>
<script lang="ts">
import TableRowVue from './TableRow.vue';

export default {
    components : {
      TableRowVue,
    },
    props:{
      datas: {
          type: Object,
          default: {}
      },
    },
    data(){
        return {
          opened: [],
          day:{}
        }
    },
    methods: {
  	toggle(id:never) {
    	const index = this.opened.indexOf(id);
      if (index > -1) {
      	this.opened.splice(index, 1)
      } else {
      	this.opened.push(id)
      }
    }
  }

}

</script>
<style lang="scss">
.hiddenRow {
    padding: 0 !important;
}
table {
  width: 100%;
  border: 1px solid #ccc;
}

table thead tr {
  background-color: #659f34;
  color: #fff;
  text-align: left;
  border-bottom: 1px solid #ddd;
}
td {
  padding: 2px;
  border-bottom: 1px solid #ccc;
}

.opened {
  background-color: yellow;
}
</style>